package com.gingersoft.gsa.cloud.ui.view.utils;

import android.graphics.Color;
import android.view.View;

import com.sxu.shadowdrawable.ShadowDrawable;

import static com.qmuiteam.qmui.util.QMUIDisplayHelper.dpToPx;

/**
 * Created by Wyh on 2020/2/24.
 */
public class ShadowUtil {

    public static void setShadowDrawable(View view) {
        ShadowDrawable.setShadowDrawable(view, Color.parseColor("#FFFFFF"), dpToPx(5),
                Color.parseColor("#73888888"), dpToPx(5), 0, 2);
    }

    public static void setShadowDrawable(View view, int bgColor, int shapeRadius, int shadowColor, int shadowRadius, int offsetX, int offsetY) {
        ShadowDrawable.setShadowDrawable(view, bgColor, shapeRadius,
                shadowColor, shadowRadius, offsetX, offsetY);
    }
}
